Update Article
curl --request PATCH \
--url https://app.polygon-one.com/api/v1/articles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"shortDescription": "Kiln-dried pine plank, 20 × 100 × 2400 mm, planed"
},
"supplierIds": [
"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94"
]
}
'import requests
url = "https://app.polygon-one.com/api/v1/articles/{id}"
payload = {
"fields": { "shortDescription": "Kiln-dried pine plank, 20 × 100 × 2400 mm, planed" },
"supplierIds": ["5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {shortDescription: 'Kiln-dried pine plank, 20 × 100 × 2400 mm, planed'},
supplierIds: ['5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94']
})
};
fetch('https://app.polygon-one.com/api/v1/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.polygon-one.com/api/v1/articles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
'shortDescription' => 'Kiln-dried pine plank, 20 × 100 × 2400 mm, planed'
],
'supplierIds' => [
'5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.polygon-one.com/api/v1/articles/{id}"
payload := strings.NewReader("{\n \"fields\": {\n \"shortDescription\": \"Kiln-dried pine plank, 20 × 100 × 2400 mm, planed\"\n },\n \"supplierIds\": [\n \"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.polygon-one.com/api/v1/articles/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": {\n \"shortDescription\": \"Kiln-dried pine plank, 20 × 100 × 2400 mm, planed\"\n },\n \"supplierIds\": [\n \"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.polygon-one.com/api/v1/articles/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": {\n \"shortDescription\": \"Kiln-dried pine plank, 20 × 100 × 2400 mm, planed\"\n },\n \"supplierIds\": [\n \"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"article": {
"id": "7c4e2b19-3a85-4d6f-b210-8e9a5c1d7f36",
"name": "Pine plank 20 mm",
"shortDescription": "Kiln-dried pine plank, 20 × 100 × 2400 mm, planed",
"internalArticleNr": "ART-1001",
"externalArticleNr": null,
"ean": null,
"hsCode": "4407.11",
"articleType": "purchase",
"eudrRelevant": true,
"needsManualCheck": false,
"sourceScope": "standing",
"hsPlausibility": null,
"geoComplianceResults": [],
"legalComplianceResults": [],
"legalDocuments": [],
"legalCategoryResults": [],
"questionnaires": [],
"commodityGroup": "wood",
"weightPerPieceKg": 2.5,
"deletedAt": null,
"suppliers": [
{
"id": "5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94",
"name": "Sawmill Example GmbH",
"contactName": "Alex Example",
"country": "Germany",
"status": "data_complete",
"externalSupplierId": "LIEF-4711",
"address": {
"street": "Industriestraße 12",
"city": "Musterstadt",
"postalCode": "12345"
},
"email": "sales@sawmill.example",
"articles": [],
"plots": [],
"complianceResults": [],
"isCompanySelf": false,
"supplierArticles": [],
"deletedAt": null,
"assignedToUserId": null,
"otpContactEmail": null,
"otpContactConfirmedAt": null,
"otpExemptUntil": null
}
],
"plots": [
{
"id": "8f3b5d2a-6e19-4c74-a8d3-0b7e2f9c4a16",
"companyId": "3f6c2a8e-5b1d-4c7e-9a2f-6d8b1e4c0a17",
"createdByUserId": "9b2e7d41-0c6a-4f38-8e15-2a7c9d3b6f80",
"name": "Example Farm plot 3",
"species": [
{
"commonName": "Loblolly pine",
"scientificName": "Pinus taeda"
}
],
"country": "BR",
"size": 2.35,
"requiresAreaPlausibilityReview": false,
"commodityGroup": "wood",
"productionDateFrom": "2025-01-01T00:00:00.000Z",
"productionDateTo": "2025-12-31T00:00:00.000Z",
"producerName": "Example Forestry Ltda.",
"createdAt": "2026-03-02T09:15:00.000Z",
"deforestationRiskResult": 0,
"updatedAt": "2026-03-02T09:21:41.000Z",
"analysisStatus": "completed",
"forestPercentage": 0,
"isDegraded": false
}
],
"plotsTruncated": false,
"complianceResults": [
{
"id": "4d9a1f7e-2c38-4e65-9b0d-3a6f8c2e1b47",
"supplierArticleId": "2e8f6a3c-9d17-4b52-8c4a-7f1e3d9b0a65",
"overallStatus": "compliant",
"geoStatus": "compliant",
"legalStatus": "compliant",
"manuallyOverridden": false,
"evidenceOpen": false,
"generatedReportUrl": null,
"generatedAt": null,
"updatedAt": "2026-03-02T09:25:00.000Z"
}
],
"countryOfProduction": [
"BR"
],
"certifications": [],
"ownSupplierArticleIds": [
"2e8f6a3c-9d17-4b52-8c4a-7f1e3d9b0a65"
],
"supplierLinks": [
{
"supplierId": "5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94",
"supplierArticleId": "2e8f6a3c-9d17-4b52-8c4a-7f1e3d9b0a65"
}
]
}
}{
"error": "Validation failed",
"details": [
{
"origin": "string",
"code": "too_small",
"minimum": 1,
"inclusive": true,
"path": [
"address",
"street"
],
"message": "Address is required."
}
]
}{
"error": "Invalid or expired API key"
}{
"error": "Forbidden"
}{
"error": "Resource not found"
}{
"error": "An article with this internal article number already exists."
}{
"error": {
"code": "rate_limited",
"message": "…"
}
}{
"error": "Internal server error"
}Artikel
Artikel aktualisieren
Update article fields and/or replace supplier associations.
PATCH
/
api
/
v1
/
articles
/
{id}
Update Article
curl --request PATCH \
--url https://app.polygon-one.com/api/v1/articles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"shortDescription": "Kiln-dried pine plank, 20 × 100 × 2400 mm, planed"
},
"supplierIds": [
"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94"
]
}
'import requests
url = "https://app.polygon-one.com/api/v1/articles/{id}"
payload = {
"fields": { "shortDescription": "Kiln-dried pine plank, 20 × 100 × 2400 mm, planed" },
"supplierIds": ["5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {shortDescription: 'Kiln-dried pine plank, 20 × 100 × 2400 mm, planed'},
supplierIds: ['5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94']
})
};
fetch('https://app.polygon-one.com/api/v1/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.polygon-one.com/api/v1/articles/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
'shortDescription' => 'Kiln-dried pine plank, 20 × 100 × 2400 mm, planed'
],
'supplierIds' => [
'5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.polygon-one.com/api/v1/articles/{id}"
payload := strings.NewReader("{\n \"fields\": {\n \"shortDescription\": \"Kiln-dried pine plank, 20 × 100 × 2400 mm, planed\"\n },\n \"supplierIds\": [\n \"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.polygon-one.com/api/v1/articles/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": {\n \"shortDescription\": \"Kiln-dried pine plank, 20 × 100 × 2400 mm, planed\"\n },\n \"supplierIds\": [\n \"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.polygon-one.com/api/v1/articles/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": {\n \"shortDescription\": \"Kiln-dried pine plank, 20 × 100 × 2400 mm, planed\"\n },\n \"supplierIds\": [\n \"5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"article": {
"id": "7c4e2b19-3a85-4d6f-b210-8e9a5c1d7f36",
"name": "Pine plank 20 mm",
"shortDescription": "Kiln-dried pine plank, 20 × 100 × 2400 mm, planed",
"internalArticleNr": "ART-1001",
"externalArticleNr": null,
"ean": null,
"hsCode": "4407.11",
"articleType": "purchase",
"eudrRelevant": true,
"needsManualCheck": false,
"sourceScope": "standing",
"hsPlausibility": null,
"geoComplianceResults": [],
"legalComplianceResults": [],
"legalDocuments": [],
"legalCategoryResults": [],
"questionnaires": [],
"commodityGroup": "wood",
"weightPerPieceKg": 2.5,
"deletedAt": null,
"suppliers": [
{
"id": "5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94",
"name": "Sawmill Example GmbH",
"contactName": "Alex Example",
"country": "Germany",
"status": "data_complete",
"externalSupplierId": "LIEF-4711",
"address": {
"street": "Industriestraße 12",
"city": "Musterstadt",
"postalCode": "12345"
},
"email": "sales@sawmill.example",
"articles": [],
"plots": [],
"complianceResults": [],
"isCompanySelf": false,
"supplierArticles": [],
"deletedAt": null,
"assignedToUserId": null,
"otpContactEmail": null,
"otpContactConfirmedAt": null,
"otpExemptUntil": null
}
],
"plots": [
{
"id": "8f3b5d2a-6e19-4c74-a8d3-0b7e2f9c4a16",
"companyId": "3f6c2a8e-5b1d-4c7e-9a2f-6d8b1e4c0a17",
"createdByUserId": "9b2e7d41-0c6a-4f38-8e15-2a7c9d3b6f80",
"name": "Example Farm plot 3",
"species": [
{
"commonName": "Loblolly pine",
"scientificName": "Pinus taeda"
}
],
"country": "BR",
"size": 2.35,
"requiresAreaPlausibilityReview": false,
"commodityGroup": "wood",
"productionDateFrom": "2025-01-01T00:00:00.000Z",
"productionDateTo": "2025-12-31T00:00:00.000Z",
"producerName": "Example Forestry Ltda.",
"createdAt": "2026-03-02T09:15:00.000Z",
"deforestationRiskResult": 0,
"updatedAt": "2026-03-02T09:21:41.000Z",
"analysisStatus": "completed",
"forestPercentage": 0,
"isDegraded": false
}
],
"plotsTruncated": false,
"complianceResults": [
{
"id": "4d9a1f7e-2c38-4e65-9b0d-3a6f8c2e1b47",
"supplierArticleId": "2e8f6a3c-9d17-4b52-8c4a-7f1e3d9b0a65",
"overallStatus": "compliant",
"geoStatus": "compliant",
"legalStatus": "compliant",
"manuallyOverridden": false,
"evidenceOpen": false,
"generatedReportUrl": null,
"generatedAt": null,
"updatedAt": "2026-03-02T09:25:00.000Z"
}
],
"countryOfProduction": [
"BR"
],
"certifications": [],
"ownSupplierArticleIds": [
"2e8f6a3c-9d17-4b52-8c4a-7f1e3d9b0a65"
],
"supplierLinks": [
{
"supplierId": "5a1d8c3e-7f24-4b9a-a6e0-1c3f5b8d2e94",
"supplierArticleId": "2e8f6a3c-9d17-4b52-8c4a-7f1e3d9b0a65"
}
]
}
}{
"error": "Validation failed",
"details": [
{
"origin": "string",
"code": "too_small",
"minimum": 1,
"inclusive": true,
"path": [
"address",
"street"
],
"message": "Address is required."
}
]
}{
"error": "Invalid or expired API key"
}{
"error": "Forbidden"
}{
"error": "Resource not found"
}{
"error": "An article with this internal article number already exists."
}{
"error": {
"code": "rate_limited",
"message": "…"
}
}{
"error": "Internal server error"
}Die Antwort ist
{ "success": true, "article": { … } }. article.plots enthält die eindeutigen Parzellen des Artikels ohne Geometrie, höchstens 1000 Einträge (nach id sortiert); article.plotsTruncated: true zeigt an, dass es mehr gibt. Die Geometrie einer Parzelle liefert GET /api/v1/plots/{id}.Autorisierungen
API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.
Pfadparameter
Body
application/json